<ion-header *ngIf="!isShowAlert">
    <div>
        <div id="btnMenu">
            <div class="btn">
                <ion-menu-button autoHide="false"></ion-menu-button>
            </div>
            <div class="title">
                SiriusSign
            </div>
        </div>
        <div id="btnNum">
            <div class="btnNumSign" tappable [routerDirection]="'forward'"
                [routerLink]="['/app/tabs/tab-menu/need-sign']">
                <h1>{{documentClassification.needSign.length}}</h1>
                <p>Need my signatures</p>
            </div>
            <div class="vline"></div>
            <div class="btnNumSign" tappable [routerDirection]="'forward'"
                [routerLink]="['/app/tabs/tab-menu/wait-others']">
                <h1>{{documentClassification.waiting.length}}</h1>
                <p>Waiting for others</p>
            </div>
        </div>
    </div>
</ion-header>

<ion-content *ngIf="initConnection && isShowAlert">
    <div class='bg'>
        <div style="padding-top: 190px; text-align: center;">
            <div class='card'>
                <div class='img'><img src="../../assets/premium.png"></div>
                <div class='pos'>
                    <p class='text-welcome'><b>Welcome to SiriusSign</b></p>
                    <p class="text-info">You can deploy digital signatures in one <br> scalable, blockchain-based
                        service in one <br> platform.</p><br>
                    <div class="btn1" (click)="onChangeShowAlert()" *ngIf="!isPurchasing">
                        <div class='text-btn'>TRY IT FOR FREE</div>
                    </div>
                    <div class="btn2" (click)='navigate()' *ngIf="!isPurchasing">
                        <div class='text-btn'>UPGRADE NOW</div>
                    </div>
                    <div *ngIf="isPurchasing">
                        <ion-spinner></ion-spinner>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ion-content>


<ion-content *ngIf="initConnection && !isShowAlert">
    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
    </ion-refresher>

    <div class="status-bar" *ngIf="isPurchasing">
        <ion-spinner></ion-spinner> <p>Registering for free plan..</p>
    </div>

    <ion-list lines="full">
        <ion-list-header>
            <ion-label>Files</ion-label>
        </ion-list-header>

        <div *ngIf="isLoading" class="loading">
            <ion-spinner name="dots" color="primary"></ion-spinner>
        </div>

        <ion-item *ngFor="let doc of documentClassification.needSign; let i = index;" button
            (click)="onDocument(i, flag.NEEDSIGN)" detail="false">
            <ion-icon mode="md" [color]="(doc.owner == owner)?'success':'danger'"
                [name]="(doc.owner == owner)?'arrow-up':'arrow-down'">
            </ion-icon>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <div class="unconfirmDiv">
                <p [style.color]="(doc.isSigned)? '#10dc60':'#f04141'">
                    {{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
            </div>
        </ion-item>

        <ion-item *ngFor="let doc of documentClassification.waiting; let i = index;" button
            (click)="onDocument(i, flag.WAITING)" detail="false">
            <ion-icon mode="md" [color]="(doc.owner == owner)?'success':'danger'"
                [name]="(doc.owner == owner)?'arrow-up':'arrow-down'">
            </ion-icon>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <div class="unconfirmDiv">
                <p [style.color]="(doc.isSigned)? '#10dc60':'#f04141'">
                    {{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
            </div>
        </ion-item>

        <ion-item *ngFor="let doc of documentClassification.completed.slice(0, 10); let i = index" button
            (click)="onDocument(i, flag.COMPLETED)" detail="false">
            <ion-icon mode="md" [color]="(doc.owner == owner)?'success':'danger'"
                [name]="(doc.owner == owner)?'arrow-up':'arrow-down'">
            </ion-icon>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <div class="confirmDiv">
                <p class="status" *ngIf="doc.isSigned" style="color: #000">Signed</p>
                <p class="time">{{nowFromDate(doc.signDate)}}</p>
            </div>
        </ion-item>
    </ion-list>

</ion-content>

<ion-content *ngIf="!initConnection" id="noConnection">
    <div>
        <ion-icon name="alert"></ion-icon>
        <p>Connection Lost</p>
    </div>
</ion-content>